Update a webhook

Changes the URL or events, or disables the endpoint without deleting it.
PATCHhttps://api.clicklookup.com/v1/webhooks/{webhook_id}

Requires an API key

Path parameters1

  • webhook_idstring · uuidrequired

Request body3

  • enabledbooleannullable

    Whether the item is active.

  • eventsarray of enumsnullable

    Events that trigger a delivery.

  • urlstring · urlnullable

    Absolute http(s) URL

Response · 2007

  • createdAtstring · date-timerequired

    ISO-8601 timestamp with offset

  • enabledbooleanrequired

    Whether the item is active.

  • eventsarray of enumsrequired

    Events that trigger a delivery.

  • idstring · uuidrequired

    UUID primary key

  • updatedAtstring · date-timerequired

    ISO-8601 timestamp with offset

  • urlstring · urlrequired

    Absolute http(s) URL

  • workspaceIdstring · uuidrequired

    UUID primary key